package com.chenyang.druid.proxy.jdbc;

import com.chenyang.druid.stat.JdbcSqlStat;
import java.sql.ResultSet;
import java.util.List;
import java.util.Map;

public interface ResultSetProxy extends ResultSet, WrapperProxy {
   ResultSet getResultSetRaw();

   StatementProxy getStatementProxy();

   String getSql();

   JdbcSqlStat getSqlStat();

   int getCursorIndex();

   int getFetchRowCount();

   long getConstructNano();

   void setConstructNano(long var1);

   void setConstructNano();

   int getCloseCount();

   void addReadStringLength(int var1);

   long getReadStringLength();

   void addReadBytesLength(int var1);

   long getReadBytesLength();

   void incrementOpenInputStreamCount();

   int getOpenInputStreamCount();

   void incrementOpenReaderCount();

   int getOpenReaderCount();

   int getPhysicalColumn(int var1);

   int getLogicColumn(int var1);

   List<Integer> getHiddenColumns();

   int getHiddenColumnCount();

   void setLogicColumnMap(Map<Integer, Integer> var1);

   void setPhysicalColumnMap(Map<Integer, Integer> var1);

   void setHiddenColumns(List<Integer> var1);
}
